# TP 25 (fichier à compléter) : Fichiers texte
# BCPST1B 2025-2026
# Lycée Hoche, Versailles
# L.-C. LEFÈVRE

#%% test de lecture

# Windows : l'option encoding="utf-8" est nécessaire (problèmes d'accents)
f = open("test.txt", "r", encoding="utf-8")
for s in f:
    print(s.strip())
f.close()

#%% test d'écriture (lancer plusieurs fois)

f = open("coucou.txt", "w")
f.write("Coucou !\n")
f.close()

g = open("bonjour.txt", "a")
g.write("Bonjour !\n")
g.close()

#%% à vous
